<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/layout/edit/init.jsp" %>

<aui:input name="TypeSettingsProperties--groupId--" type="hidden" value="<%= (selLayout == null) ? StringPool.BLANK : selLayout.getGroupId() %>" />
<aui:input name="TypeSettingsProperties--privateLayout--" type="hidden" value="<%= (selLayout == null) ? StringPool.BLANK : selLayout.isPrivateLayout() %>" />

<div class="form-group">
	<aui:input label="link-to-layout" name="linkToLayoutName" type="resource" value="<%= linkToPageLayoutTypeControllerDisplayContext.getLinkToLayoutName() %>" />
	<aui:input name="linkToLayoutUuid" type="hidden" value="<%= linkToPageLayoutTypeControllerDisplayContext.getLinkToLayoutUuid() %>" />

	<aui:button name="selectLayoutButton" value="select" />

	<aui:script require="frontend-js-web/liferay/ItemSelectorDialog.es as ItemSelectorDialog">
		var selectLayoutButton = document.getElementById('<portlet:namespace />selectLayoutButton');

		if (selectLayoutButton) {
			selectLayoutButton.addEventListener(
				'click',
				function(event) {
					event.preventDefault();

					const itemSelectorDialog = new ItemSelectorDialog.default({
						eventName: '<%= linkToPageLayoutTypeControllerDisplayContext.getEventName() %>',
						singleSelect: true,
						title: '<liferay-ui:message key="select-layout" />',
						url: '<%= linkToPageLayoutTypeControllerDisplayContext.getItemSelectorURL() %>'
					});

					itemSelectorDialog.on('selectedItemChange', function(event) {
						const selectedItem = event.selectedItem;

						const linkToLayoutName = document.getElementById('<portlet:namespace />linkToLayoutName');
						const linkToLayoutUuid = document.getElementById('<portlet:namespace />linkToLayoutUuid');

						if (selectedItem && linkToLayoutName && linkToLayoutUuid) {
							linkToLayoutName.value = selectedItem.name;
							linkToLayoutUuid.value = selectedItem.id;
						}
					});

					itemSelectorDialog.open();
				}
			);
		}
	</aui:script>
</div>